The code here provides several slang modules for the GNU Scientific
library.  See the documentation in the doc/ directory for information
about using the modules, or, for the most up to date version, see
<http://space.mit.edu/CXC/software/slang/modules/gsl/>.

To build the code, you will need the following additional libraries:

   1.  The slang library (http://www.jedsoft.org/slang/)
   2.  The GNU Scientific library (http://www.gnu.org/software/gsl/)

*** NOTE: The module now requires at least version 1.4 of the GSL
          library.  Unfortunately, version 1.4 is _NOT_ backwards
	  compatible with earlier versions of GSL. 

You must run the configure script before you can compile the GSL
modules.  If either the slang or gsl libraries are installed in
non-standard locations, then you will need to specify the locations of
these libraries as arguments to the configure script.  For example,
suppose libslang.so is located in /home/bill/lib and its include file
slang.h is located in /home/bill/include.  Similarly, assume the gsl
libraries and include files are located in /home/bill/opt/lib and
/home/bill/opt/include, respectively.  Then one would run the 
configure script using:

  ./configure --with-slanglib=/home/bill/lib \
              --with-slanginc=/home/bill/include \
              --with-gsllib=/home/bill/opt/lib \
              --with-gslinc=/home/bill/opt/include

or, the shorter form which assumes a common pathname prefix for the
lib include directories:


  ./configure --with-slang=/home/bill --with-gsl=/home/bill/opt

You should also specify a location for the modules (*.so) and any associated
script (*.sl) files created by this package.  The default location for
the modules is in

   $prefix/lib/slang/modules/        (slang-1)
   $prefix/lib/slang/v2/modules/     (slang-2)

Any .sl files will be installed in

   $exec_prefix/share/slsh/local-packages/

where the values of the variable $prefix defaults to /usr/local, and
that of $exec_prefix to the value of $prefix.  These values may be
changed using the --prefix and --exec-prefix configure script
parameters.  For example, to set the value of $prefix to /home/bill,
use

   ./configure --prefix=/home/bill ...

For more help using the configure script, run it using 

   ./configure --help

It is also a good idea to read the INSTALL.txt file located in this
directory.

Once the configure script has been run, it is a good idea to inspect
the Makefile that it generated in the src directory.  Then building
and installing the library should involve nothing more than:

   make 
   make install

You may have to have root privileges to perform the last step. 
   


